Subject: Re: [PATCH 1/2] replay: die descriptively when invalid commit-ish

From: Phillip Wood <[email-masked]>
Date: Tue, 23 Dec 2025 10:52:13 +0000

On 23/12/2025 03:12, Junio C Hamano wrote:
> [email-masked] writes:
> 
> How many callers use this function?  I am wondering if it is better
> to give a better message at the caller(s), rather than here, where
> we lack context to tell something like "You gave string 'ource' as
> the argument to the '--onto' option, but 'ource' does not name any
> commit" (in other words, "for what our caller is trying to peel
> <name> to a commit").

There are only two callers so I think that is a good idea. If you give 
an invalid commit name to "--advance" then it dies with

     fatal: argument to --advance must be a reference

so arguably we only need to check the return value when parsing "--onto"

Thanks

Phillip